/*
 * Front gateway
 *
 * Front gateway
 *
 * API version: 0.0.1
 * Generated by: OpenAPI Generator (https://openapi-generator.tech)
 */

package openapi

import (
	"context"
	"net/http"
	"errors"
)

// AuthApiService is a service that implements the logic for the AuthApiServicer
// This service should implement the business logic for every endpoint for the AuthApi API.
// Include any external packages or services that will be required by this service.
type AuthApiService struct {
}

// NewAuthApiService creates a default api service
func NewAuthApiService() AuthApiServicer {
	return &AuthApiService{}
}

// AuthConfirmUserPost - 
func (s *AuthApiService) AuthConfirmUserPost(ctx context.Context, confirmArgs ConfirmArgs) (ImplResponse, error) {
	// TODO - update AuthConfirmUserPost with the required logic for this service method.
	// Add api_auth_service.go to the .openapi-generator-ignore to avoid overwriting this service implementation when updating open api generation.

	//TODO: Uncomment the next line to return response Response(200, map[string]interface{}{}) or use other options such as http.Ok ...
	//return Response(200, map[string]interface{}{}), nil

	//TODO: Uncomment the next line to return response Response(400, OneOfvalidationErrorsuserConfirmationCodeIsInvaliduserConfirmationIsExpireduserIsAlreadyConfirmed{}) or use other options such as http.Ok ...
	//return Response(400, OneOfvalidationErrorsuserConfirmationCodeIsInvaliduserConfirmationIsExpireduserIsAlreadyConfirmed{}), nil

	return Response(http.StatusNotImplemented, nil), errors.New("AuthConfirmUserPost method not implemented")
}

// AuthProlongSessionPost - 
func (s *AuthApiService) AuthProlongSessionPost(ctx context.Context, prolongSessionArgs ProlongSessionArgs) (ImplResponse, error) {
	// TODO - update AuthProlongSessionPost with the required logic for this service method.
	// Add api_auth_service.go to the .openapi-generator-ignore to avoid overwriting this service implementation when updating open api generation.

	//TODO: Uncomment the next line to return response Response(200, ProlongSessionResult{}) or use other options such as http.Ok ...
	//return Response(200, ProlongSessionResult{}), nil

	//TODO: Uncomment the next line to return response Response(400, ProlongCodeInvalid{}) or use other options such as http.Ok ...
	//return Response(400, ProlongCodeInvalid{}), nil

	//TODO: Uncomment the next line to return response Response(401, Unauthorized{}) or use other options such as http.Ok ...
	//return Response(401, Unauthorized{}), nil

	return Response(http.StatusNotImplemented, nil), errors.New("AuthProlongSessionPost method not implemented")
}

// AuthSignInPost - 
func (s *AuthApiService) AuthSignInPost(ctx context.Context, signInArgs SignInArgs) (ImplResponse, error) {
	// TODO - update AuthSignInPost with the required logic for this service method.
	// Add api_auth_service.go to the .openapi-generator-ignore to avoid overwriting this service implementation when updating open api generation.

	//TODO: Uncomment the next line to return response Response(200, SignInResult{}) or use other options such as http.Ok ...
	//return Response(200, SignInResult{}), nil

	//TODO: Uncomment the next line to return response Response(400, OneOfvalidationErrorsuserIsNotConfirmed{}) or use other options such as http.Ok ...
	//return Response(400, OneOfvalidationErrorsuserIsNotConfirmed{}), nil

	//TODO: Uncomment the next line to return response Response(404, UserDoesNotExist{}) or use other options such as http.Ok ...
	//return Response(404, UserDoesNotExist{}), nil

	return Response(http.StatusNotImplemented, nil), errors.New("AuthSignInPost method not implemented")
}

// AuthSignUpPost - 
func (s *AuthApiService) AuthSignUpPost(ctx context.Context, signUpArgs SignUpArgs) (ImplResponse, error) {
	// TODO - update AuthSignUpPost with the required logic for this service method.
	// Add api_auth_service.go to the .openapi-generator-ignore to avoid overwriting this service implementation when updating open api generation.

	//TODO: Uncomment the next line to return response Response(201, SignUpResult{}) or use other options such as http.Ok ...
	//return Response(201, SignUpResult{}), nil

	//TODO: Uncomment the next line to return response Response(400, ValidationErrors{}) or use other options such as http.Ok ...
	//return Response(400, ValidationErrors{}), nil

	//TODO: Uncomment the next line to return response Response(409, UserAlreadyExists{}) or use other options such as http.Ok ...
	//return Response(409, UserAlreadyExists{}), nil

	return Response(http.StatusNotImplemented, nil), errors.New("AuthSignUpPost method not implemented")
}
